SACN::EXTENDED::discovery_header Struct Reference

6.4 E1.31 Universe Discovery Packet Framing Layer More...

`#include <extended.h>`

Inheritance diagram for SACN::EXTENDED::discovery_header:
[legend]

## Public Member Functions

size_t | streamSize () const override
| streamSize More...
void | iStream (ACN::PDU::Stream) override
| discovery_header::iStream More...
void | oStream (ACN::PDU::Stream) const override
| discovery_header::oStream More...

## Public Attributes

std::string | source_name
| source descripton
uint32_t | reserved
| reserved

## Detailed Description

6.4 E1.31 Universe Discovery Packet Framing Layer

## Member Function Documentation

## iStream()

void SACN::EXTENDED::discovery_header::iStream | ( | ACN::PDU::Stream | stream | ) |

overridevirtual

discovery_header::iStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## oStream()

void SACN::EXTENDED::discovery_header::oStream | ( | ACN::PDU::Stream | stream | ) | const

overridevirtual

discovery_header::oStream

Parameters

  stream |

Implements ACN::PDU::pdu_stream_object.

## streamSize()

size_t SACN::EXTENDED::discovery_header::streamSize | ( |  | ) | const

inlineoverridevirtual

streamSize

Returns
  length (count of octets) on the wire

Implements ACN::PDU::pdu_stream_object.

The documentation for this struct was generated from the following files:

- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/extended.h
- /home/kevin/Code/viewer/lib/OpenLCP/protocols/sacn/extended.cpp